﻿Imports Lab2_CSC111

Public Class AircraftFuel
    Implements IEqualityComparer(Of AircraftFuel)

    Public Model As String
    Public FirstFlight As Integer
    Public Seats As Integer
    Public Sector As Double
    Public FuelBurn As Double
    Public FuelPerSeat As Double
    Public Sub New()

    End Sub
    Public Sub New(model As String, firstflight As Integer, seats As Integer, sector As Double, fuelburn As Double, fuelperseat As Double)
        Me.Model = model
        Me.FirstFlight = firstflight
        Me.Seats = seats
        Me.Sector = sector
        Me.FuelBurn = fuelburn
        Me.FuelPerSeat = fuelperseat

    End Sub

    'Public Overrides Function Equals(obj As Object) As Boolean
    '    If obj Is Nothing Then Return False

    '    If Me.Model = DirectCast(obj, AircraftFuel).Model Then
    '        Return True
    '    Else
    '        Return False
    '    End If
    'End Function
    'Public Overloads Function Equals(other As AircraftFuel) As Boolean Implements IEquatable(Of AircraftFuel).Equals
    '    If other Is Nothing Then Return False

    '    If Me.Model = other.Model Then
    '        Return True
    '    Else
    '        Return False
    '    End If

    'End Function

    Public Overloads Function Equals(x As AircraftFuel, y As AircraftFuel) As Boolean Implements IEqualityComparer(Of AircraftFuel).Equals
        If x.Model = y.Model Then
            Return True
        End If
        Return False
    End Function

    Public Function GetHashCode(obj As AircraftFuel) As Integer Implements IEqualityComparer(Of AircraftFuel).GetHashCode
        Return obj.Model.GetHashCode()
    End Function
End Class

Public Structure AirCraftModelDetails
    Private planemodel As String
    Public Property AirPlaneModel() As String
        Get
            Return planemodel
        End Get
        Set(ByVal value As String)
            planemodel = value
        End Set
    End Property
    Private planecount As Integer
    Public Property NoOfPlane() As Integer
        Get
            Return planecount
        End Get
        Set(ByVal value As Integer)
            planecount = value
        End Set
    End Property
    Private avgnumberseat As Double
    Public Property AvgNoOfSeats() As Double
        Get
            Return avgnumberseat
        End Get
        Set(ByVal value As Double)
            avgnumberseat = value
        End Set
    End Property
    Private averagesector As Double
    Public Property AvgSector() As Double
        Get
            Return averagesector
        End Get
        Set(ByVal value As Double)
            averagesector = value
        End Set
    End Property
    Private averagefuelburn As Double
    Public Property AvgFuelBurn() As Double
        Get
            Return averagefuelburn
        End Get
        Set(ByVal value As Double)
            averagefuelburn = value
        End Set
    End Property
    Private averagefuelperseat As Double
    Public Property AvgFuelPerSeat() As Double
        Get
            Return averagefuelperseat
        End Get
        Set(ByVal value As Double)
            averagefuelperseat = value
        End Set
    End Property
    Public Sub New(airplanemodel As String, noofplane As Integer, avgnoofseats As Double,
                   avgsector As Double, avgfuelburn As Double, avgfuelperseat As Double)
        Me.AirPlaneModel = airplanemodel
        Me.NoOfPlane = noofplane
        Me.AvgNoOfSeats = avgnoofseats
        Me.AvgSector = avgsector
        Me.AvgFuelBurn = avgfuelburn
        Me.AvgFuelPerSeat = avgfuelperseat
    End Sub


End Structure
